SwitchStatement (Groovy 5.0.6)

Package: org.codehaus.groovy.ast.stmt

## [Java] Class SwitchStatement

- org.codehaus.groovy.ast.stmt.SwitchStatement

-     public class SwitchStatement
      extends Statement

  Represents a switch (object) { case value: ... case [1, 2, 3]: ... default: ... } statement in Groovy.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SwitchStatement(Expression expression)`
    `SwitchStatement(Expression expression, Statement defaultStatement)`
    `SwitchStatement(Expression expression, List<CaseStatement> caseStatements, Statement defaultStatement)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `addCase(CaseStatement caseStatement)`
    `` | `public CaseStatement` | `getCaseStatement(int idx)` Returns: the case statement of the given index or null
    `` | `public List<CaseStatement>` | `getCaseStatements()`
    `` | `public Statement` | `getDefaultStatement()`
    `` | `public Expression` | `getExpression()`
    `` | `public void` | `setDefaultStatement(Statement defaultStatement)`
    `` | `public void` | `setExpression(Expression e)`
    `` | `public void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Statement` | `addStatementLabel, copyStatementLabels, getStatementLabel, getStatementLabels, isEmpty, setStatementLabel`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public SwitchStatement(Expression expression)

    - #### public SwitchStatement(Expression expression, Statement defaultStatement)

    - #### public SwitchStatement(Expression expression, List<CaseStatement> caseStatements, Statement defaultStatement)

  - ### Method Detail

    - #### public void addCase(CaseStatement caseStatement)

    - #### public CaseStatement getCaseStatement(int idx)

      Returns:
        the case statement of the given index or null

    - #### public List<CaseStatement> getCaseStatements()

    - #### public Statement getDefaultStatement()

    - #### public Expression getExpression()

    - #### public void setDefaultStatement(Statement defaultStatement)

    - #### public void setExpression(Expression e)

    - #### @Override
      public void visit(GroovyCodeVisitor visitor)